Unit tzf30e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF30D_p, ZF30E_p;

function tzf30e: String; 

implementation

function tzf30e: String;
var
NSIG,N,ITMAX,_i,IERR :Integer;
EPS :Extended;
X :Array [0..2] of Extended;
WA :Array [0..13] of Extended;
begin
Result := '';
EPS := 1.e-6;
NSIG := 5;
X[0] := 0.75e0;
X[1] := 1.5e0;
X[2] := 4.e0;
N := 3;
ITMAX := 100;
ZF30E(FZF30D,N,EPS,NSIG,ITMAX,X,WA,IERR);
Result := Result + Format('%10d %20.16f %10d %10d %10d ',[N,EPS,NSIG,ITMAX,IERR]) + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%20.16f ',[X[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 13 do
 begin
  Result := Result + Format('%20.16f ',[WA[_i]]);
  if ( ((_i+1) mod 1)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
UtRes('tzf30e',Result);  //    tzf30e.res
exit;
end;

end.
